Realtime Avatar

List assets

GET
/api/v1/assets

List uploaded assets in your tenant. Requires scope avatars:read.

AuthorizationBearer <token>

TIC API key as a bearer token: Authorization: Bearer tic_live_... or tic_test_.... Create keys in the dashboard at /platform/dashboard or via POST /api/v1/api-keys.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/assets"
{  "data": [    {      "id": "string",      "tenantId": "string",      "kind": "image",      "status": "pending_upload",      "contentType": "string",      "sizeBytes": 0,      "sha256": "string",      "publicUrl": "http://example.com",      "createdAt": "string",      "updatedAt": "string"    }  ]}
{  "error": "string",  "status": 0,  "code": "string",  "retryable": true,  "billingUrl": "string"}